ACE 1.4 is out

Add comments

One and a half month passed since I’ve wrote about 1.4… But finally it’s here šŸ˜‰

Let’s see what’s new here:

  • New exclusion methods
  • New helps for each option
  • Link exclusion by section
  • Link category exclusion by section
  • Page exclusion by section
  • New exclusion method
  • Genuine widget support

What have been removed

  • ACE recent posts
  • ACE categories

These widgets have been removed because now we are able to hook your exclude rules through the genuine widgets, so you do NOT need ACE recent posts widget and ACE categories widget. And now you’ll be able to use different page and post manipulation widgets as far as they handle standard wordpress hooks according to posts.

May 1st 2009 General

21 Responses to “ACE 1.4 is out”

  1. Chris Says:

    There seems to be a very big bug in 1.4!

    Everything worked fine with this plugin UNTIL 1.4!
    By updateing it, the whole blog crashes and shows only an error message in back- and frontend:

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/25/d13574424/htdocs/v8/blog/wp-content/plugins/advanced-category-excluder/ace-widgets.php:14) in /homepages/25/d13574424/htdocs/v8/blog/wp-includes/pluggable.php on line 850

    Unfortunately, no single other plugin can be deactivated, no matter what to do, always the error message above appears!

    Where can I get the older version of this plugin?

  2. Chris Says:

    Me again:-(

    There seems to be a mistake in 1.4:
    ace-widget.php line 14
    there seems to be problems with wp-includes/pluggable.php, line 850

    Whenever I want to activate or deactivate what plugin ever, I got this error seen in my comment above! No chance for changing anything with any plugin! And this is just after updating your plugin to 1.4. Yesterday, with your old version, everything has worked fine šŸ™

  3. Chris Says:

    Me again šŸ™‚

    I deleted 1.4 and uploaded version 1.3.2 from my backup and then everything works fine – this plugin, the whole blog, other plugins, which can be de-activated or not. No error message! So it’s sure, that there is a mistake in the new version 1.4!

    You have any idea?

  4. MoiMM Says:

    Hello !

    Sorry, i’m french and my english is very bad ! šŸ™‚

    I have a little problem (and/or maybe a future request ?! šŸ˜‰ … On my new portfolio i have create a new category for the post that don’t want to see on home page … but the problem it’s that i must add some other categories on this post if i want my website work normaly !

    I want choose a categorie who forcing the exclusion on home page same i have other categories that not exluse ! … I don’t know if i really comprehensible ?! šŸ™

    It(s possible ?!

    Maybe a idea for help me ?

    Regards,

    šŸ™‚

  5. Chris Says:

    @MoiMM

    Look here, others have also problems:

    http://wordpress.org/support/topic/266892?replies=6#post-1061766

  6. Li-An Says:

    Warning: Cannot modify header information – headers already sent by (output started at …/blog/wp-content/plugins/advanced-category-excluder/ace-widgets.php:14) in ../blog/wp-includes/pluggable.php on line 850

    I have to go back to 1.3 (I will try without any other plugins. I suspect a conflict).

  7. DjZoNe Says:

    Redownload it, or download 1.4.1. It has the fix

  8. Will Eagle Says:

    Hello there!
    I performed the automatic upgrade with 1.4 – now I get the error messages and cannot login to my blog at all.

    Can you provide step by step instructions on how to fix this? I’m afraid I’m completely lost!

    Cheers
    Will.

  9. baron Says:

    Works great, thank you

  10. RnbUncovered Says:

    Hey,

    My problem isn’t as serious.
    But now I have installed the new updated version
    I can not see my blogroll unless i deactivate it.

    Thanks,
    Barry.

  11. niv Says:

    I too encountered a bug which was not fixed with 1.4.1 version.
    The bug is that a category i excluded from archive is not visible even with a direct link.
    explanation:
    i have a category with id ?52.
    i have a link in my site to that category.
    if the category is excluded from archive i can’t access it with the link. when i include that category in the archive then i can access it with the direct link but it appears in archive which is not what I want.

    I hope you will make a fix, I really enjoyed the plugin until this version…

  12. nollo Says:

    Hi! I used an old version which worked fine and I updatet to 1.4 but now I miss a function:

    I only want to exclude one category from the category widget. But whatever settings I try I end up having the category hidden in the widget but also all entries of this category are hidden in the home page and do not appear in latest an recent posts. Any suggestion what Iā€™m doing wrong?

    Thanks

  13. Li-An Says:

    Big problem: impossible with 1.41 version to find in admin zone the hidden categories ???

  14. catherine Says:

    I am also running into this error:

    I only want to exclude one category from the category widget. But whatever settings I try I end up having the category hidden in the widget but also all entries of this category are hidden in the home page and do not appear in latest an recent posts

  15. catherine Says:

    Narrowed it down. If I exclude it in “search” – then it doesn’t even show up when I click on the category on the home page. Previously, you could exclude it from “search” – and you could still access it via the category link on the home page.

  16. Livio Says:

    1.4.2 on autoupdate horizon. I hope it works. 1.4.1 didn’t.

  17. Scott Says:

    This may be my error…

    When activated, I select the cat I do not want to show and the option to not show the respective posts for that cat. This works just fine for the widget.

    However, what happens is all of my other/secondary pages get a 404 error. It’s as if this plugin is looking at the pages for their cat as well. If that’s true and the way it works, I just do not know how to classify a page as any particular cat.

    -Scott

  18. DjZoNe Says:

    Scott, have you tried out 1.4.2? šŸ™‚

  19. Matt Says:

    I upgraded to 1.4.2 and either can’t figure out the settings to make it behave like 1.3.2, or those features have been removed.
    Here’s the issue. I have my twitter posts pulled into wordpress under the twitter category. I use query_posts to pull up just the twitter category in the sidebar.
    I’ve got the twitter category blocked for home, archive and RSS. In 1.3.2, the query_posts command would still pull up posts from the twitter category for the sidebar, even though it was blocked on that page. In 1.4.2 it is blocked on all of those pages, including if I go directly to the twitter category page.

    Any help would be appreciated.

  20. berkam Says:

    Is possible exclude one, two or three categories from the sidebar? With this plugin dont can exclude categories from sidebar!

    (sorry by my english) Thanks

  21. Edward Says:

    The ACE menu is not visable after activating.
    I’m running WP 2.86 and ACE 143.